# CDN (Content Delivery Network)

A Content Delivery Network (CDN) service aims to provide high availability and performance improvements of websites. This is achieved with fast delivery of website assets and content typically via geographically closer endpoints to the client requests.
Traditional commercial CDNs (Amazon CloudFront, Akamai, CloudFlare and Fastly) provide servers across the globe which can be used for this purpose.
Serving assets and contents via a CDN reduces bandwidth on website hosting, provides an extra layer of caching to reduce potential outages and can improve website security as well


<ResourceGroupTitle>Free Content</ResourceGroupTitle>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://www.cloudflare.com/en-ca/learning/cdn/what-is-a-cdn/'>CloudFlare - What is a CDN? | How do CDNs work?</BadgeLink>
<BadgeLink colorScheme='yellow' badgeText='Read' href='https://en.wikipedia.org/wiki/Content_delivery_network'>Wikipedia - Content Delivery Network</BadgeLink>
<BadgeLink badgeText='Watch' href='https://www.youtube.com/watch?v=841kyd_mfH0'>What is Cloud CDN?</BadgeLink>
<BadgeLink badgeText='Watch' href='https://www.youtube.com/watch?v=Bsq5cKkS33I'>What is a Content Delivery Network (CDN)?</BadgeLink>
